/* ZERO STYLES */
/* Specify box sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove internal indents */
ul,
ol {
  padding: 0;
}

/* Remove the outer margins */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

/* Set the basic default settings for the body */
html {
  scroll-behavior: smooth;
}

body {
  min-width: 320px;
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  background-color: #ffffff;
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
}

/* Elements a, which do not have a class, are reset to default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Simplify work with images */
img {
  max-width: 100%;
  display: block;
}

/* Specify an understandable periodicity in the data flow of the article */
article > * + * {
  margin-top: 1em;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/*Styles*/
/*Global*/
.header-hero-wrapper {
  background-image: url("../images/header-hero-wrapper-bg.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 900px;
  position: relative;
  z-index: 1;
}

.bg-part-woman {
  position: absolute;
  right: 0;
  top: 5%;
  width: 486px;
  height: 729px;
  background-image: url("../images/woman-bg.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 1;
}

.bg-part-black-yellow-line {
  position: absolute;
  bottom: 6%;
  width: 100%;
  height: 160px;
  background-image: url("../images/black-yellow-line.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 3;
}

.bg-part-blure-line {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 144px;
  background-image: url("../images/blure-bg.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  z-index: 2;
}

.invisible-block {
  height: 450px;
}

.main-title {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 40px;
  color: #2a2a2a;
  letter-spacing: 0;
  border-bottom: 2px solid #d9d9d9;
  text-transform: uppercase;
}

.secondary-title {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 40px;
  color: #2a2a2a;
  letter-spacing: 0;
}

/*Header*/
.header {
  position: relative;
  z-index: 100;
}

.header__navbar {
  width: 100%;
  background-color: transparent;
}

.header__navbar .menu {
  display: flex;
  width: 100%;
}

.header__brand,
.footer__brand {
  max-width: 213px;
}

.header__navbar .menu__list {
  list-style: none;
}

.header__navbar .menu__item {
  margin: 0 5px;
}

.header__navbar .menu__link {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 20px;
  color: #2a2a2a !important;
  letter-spacing: -0.15px;
  border: 2px solid transparent;
  transition: all .1s;
  padding: 5px;
  display: block;
}

.header__navbar .menu__link:hover {
  border: 2px solid #ffd836;
  transform: scale(1.03);
  transition: all .1s;
  text-decoration: none;
}

.header__btn {
  padding: 8px 25px;
  background-color: #ffd836;
  border-radius: 20px;
  font-family: Montserrat, sans-serif;
  font-size: 15px;
  font-weight: 500;
  color: #2a2a2a;
  letter-spacing: -0.15px;
}

.header__btn:hover {
  text-decoration: none;
  color: #2a2a2a;
}

/*Hero*/
.hero__title {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 73px;
  color: #2a2a2a;
  letter-spacing: -2.95px;
}

.hero__text {
  display: block;
  font-family: Montserrat, sans-serif;
  font-weight: 400;
  font-size: 40px;
  color: #2a2a2a;
  letter-spacing: -0.95px;
}

.hero__btn {
  display: inline-block;
  padding: 15px;
  background-color: #ffd836;
  border-radius: 17px;
  font-family: Montserrat, sans-serif;
  font-size: 20px;
  font-weight: 600;
  color: #2a2a2a;
  letter-spacing: -0.15px;
}

.hero__btn:hover {
  text-decoration: none;
  color: #2a2a2a;
}

/*About us*/
.about-us {
  position: relative;
}

.about-us__block {
  padding: 50px 100px;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 18px 50px -10px;
  position: absolute;
  top: -142px;
  z-index: 5;
  background-color: #ffffff;
  border-radius: 18px;
}

.about-us__text,
.about-us__listitem {
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 16px;
  color: #000000;
}

/*Our services*/
.our-services-wrapper {
  background-image: url("../images/our-services-bg.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

.our-services__list {
  list-style: none;
  position: relative;
  z-index: 5;
}

.our-services__listitem {
  margin-top: 20px;
}

.our-services__service-wrapper {
  padding: 20px;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  border-radius: 18px;
  max-width: 274px;
  background-color: #ffffff;
}

.our-services__number {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 20px;
  color: #2a2a2a;
  letter-spacing: -1.6px;
}

.our-services__title {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 30px;
  color: #2a2a2a;
  letter-spacing: 0;
}

.our-services__text {
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 16px;
  color: #2a2a2a;
}

.our-team__title {
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  font-size: 30px;
  color: #ffd836;
  letter-spacing: -1.6px;
}

.our-team__text {
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 20px;
  color: #000000;
}

.employee__name {
  font-family: Montserrat, sans-serif;
  font-weight: 700;
  font-size: 16px;
  color: #000000;
}

.employee__position {
  font-family: Montserrat, sans-serif;
  font-weight: 400;
  font-size: 14px;
  color: #000000;
}

.employee__experience {
  font-family: Montserrat, sans-serif;
  font-weight: 400;
  font-size: 14px;
  color: #a4a4a4;
  border-bottom: 2px solid #d9d9d9;
}

.employee__photo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.our-team__info .slick-prev,
.our-team__info .slick-next {
  width: 80px;
  height: 80px;
}

.our-team__info .slick-prev {
  display: none !important;
}

.our-team__info .slick-next {
  border: none;
  background-color: #ffd836;
}

/*Contact us*/
.contact-us-wrapper {
  background-image: url("../images/contact-us-bg.webp");
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 496px;
}

.contact-us,
.contact-us > .row {
  min-height: 496px;
}

body {
  position: relative;
}

body::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(51, 51, 51, 0.9);
  z-index: 20;
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease 0s;
}

.contact-us .main-title {
  border-bottom: none;
}

.contact-us__text {
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 25px;
  color: #000000;
}

.contact-us input {
  padding: 24px 54px;
  border: none;
  background: linear-gradient(to right, rgba(255, 255, 255, 0.9), rgba(255, 255, 255, 0.5));
}

.contact-us__telephone,
.contact-us__name {
  position: relative;
}

.contact-us__telephone::before,
.contact-us__name::before {
  content: "";
  position: absolute;
  width: 24px;
  height: 24px;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}

.contact-us__telephone::before {
  content: url("../images/icons/telephone-icon.svg");
}

.contact-us__name::before {
  content: url("../images/icons/client-icon.svg");
}

.contact-us__btn {
  background-color: #ffd836;
  height: 50px;
  padding: 0 50px;
  border: none;
  border-radius: 6px;
}

.form-data__input._error {
  box-shadow: 0 0 15px red;
}

/*Footer*/
.footer-wrapper {
  border-top: 2px solid #d9d9d9;
}

.footer__brand {
  display: inline-block;
}

.footer__title {
  font-family: Montserrat, sans-serif;
  font-weight: 700;
  font-size: 16px;
  color: #000000;
}

.footer__text,
.footer__link {
  font-family: Montserrat, sans-serif;
  font-weight: 500;
  font-size: 15px;
  color: #999999;
  letter-spacing: -0.15px;
}

.footer__bluetext {
  font-family: Montserrat, sans-serif;
  font-weight: 700;
  font-size: 16px;
  color: #43a6fd;
}

@media (max-width: 1200px) {
  .header-hero-wrapper {
    background-position: -100px 0;
  }

  .invisible-block {
    height: 510px;
  }
}

@media (max-width: 992px) {
  .header-hero-wrapper {
    background-position: -180px 0;
  }

  .bg-part-woman {
    right: -35px;
  }

  .header__navbar {
    width: 100%;
    overflow: hidden;
  }

  .header__navbar::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgb(253, 209, 43, 0.6);
    filter: blur(1px);
    z-index: -1;
    border-radius: 14px;
  }

  .header__navbar .menu {
    position: absolute;
    display: none;
    background-color: rgb(42, 42, 42, 0.9);
    padding: 30px;
    top: 90px;
    border-radius: 14px;
  }

  .header__navbar .menu.active {
    display: flex;
  }

  .header__navbar .menu__link {
    color: #999999 !important;
  }

  .menu__link.menu__link-telephone {
    display: inline-block;
    background-color: #ffd836;
    color: #2a2a2a !important;
    border-radius: 6px;
  }

  .burger-menu {
    display: block;
    border: none;
    width: 38px;
    height: 30px;
    background-color: transparent;
  }

  .burger-menu span {
    position: relative;
    left: 0;
    display: block;
    width: 38px;
    height: 4px;
    background-color: #2a2a2a;
    border-radius: 1.69px;
  }

  .burger-menu span::before {
    content: "";
    position: absolute;
    top: -12px;
    left: 0;
    display: block;
    width: 100%;
    height: 4px;
    background-color: #2a2a2a;
    border-radius: 1.69px;
  }

  .burger-menu span::after {
    content: "";
    position: absolute;
    bottom: -12px;
    left: 0;
    display: block;
    width: 100%;
    height: 4px;
    background-color: #2a2a2a;
    border-radius: 1.69px;
  }

  .hero__title {
    font-size: 55px;
  }

  .secondary-title {
    font-size: 28px;
  }

  .contact-us,
  .contact-us-wrapper,
  .contact-us > .row {
    min-height: 345px;
  }
}

@media (max-width: 769px) {
  .invisible-block {
    display: none;
  }

  .header-hero-wrapper .bg-part-blure-line {
    display: none !important;
  }
}

@media (max-width: 768px) {
  .header-hero-wrapper {
    min-height: 600px;
    background-position: -100px 0;
  }

  .bg-part-woman {
    right: 0;
    top: 120px;
    width: 280px;
    height: 400px;
  }

  .main-title {
    font-size: 20px;
  }

  .secondary-title {
    font-size: 16px;
  }

  .about-us__text, .about-us__listitem {
    font-size: 14px;
  }

  .hero__title {
    font-size: 35px;
  }

  .hero__text {
    font-size: 20px;
  }

  .about-us__block {
    padding: 10px;
    position: static;
    background-color: #ffffff;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  }

  .bg-part-black-yellow-line {
    bottom: -8%;
  }

  .our-team__title {
    font-size: 20px;
  }

  .our-team__text {
    font-size: 14px;
  }

  .our-team__slider .slick-track {
    display: flex !important;
    align-items: end !important;
  }

  .our-team__slider .slick-slide {
    height: inherit !important;
  }

  .our-team__info .slick-prev,
  .our-team__info .slick-next {
    width: 50px;
    height: 50px;
  }

  .contact-us,
  .contact-us-wrapper,
  .contact-us > .row {
    min-height: 290px;
  }

  .contact-us__text {
    font-size: 16px;
  }
}

@media (max-width: 575px) {
  .header-hero-wrapper {
    background-position: -155px 0;
  }

  .our-services__service-wrapper {
    max-width: 100%;
    padding: 10px;
  }

  .our-services__img {
    width: 60px;
  }

  .our-services__number {
    font-size: 12px;
  }

  .our-services__title {
    font-size: 16px;
  }

  .our-services__text {
    font-size: 12px;
  }

  .our-services__listitem {
    margin-top: 10px;
  }
}

@media (max-width: 500px) {
  .hero__btn {
    padding: 10px;
    border-radius: 0;
    font-size: 15px;
  }
}

@media (max-width: 460px) {
  .header-hero-wrapper {
    min-height: 545px;
  }

  .hero__title {
    font-size: 23px;
    letter-spacing: 0;
  }

  .hero__btn {
    position: relative;
    z-index: 10;
  }

  .bg-part-woman {
    top: 117px;
    width: 230px;
    height: 350px;
  }
}

@media (max-width: 400px) {
  .bg-part-woman {
    z-index: 0;
  }
}

@media (max-width: 380px) {
  .header-hero-wrapper {
    min-height: 505px;
    background-position: -230px 0;
  }

  .bg-part-black-yellow-line {
    bottom: -10%;
  }

  .bg-part-woman {
    top: 130px;
    width: 200px;
    height: 300px;
  }
}